Subject: Re: periodic hexadecimal reminder

From: [email-masked]
Date: Thu, 04 Oct 2001 21:10:12 -0000

"Bob LeChevalier (lojbab)" <lojbab@l...> wrote:
>At 07:41 PM 10/2/01 +0000, hfroark@b... wrote:
>>The most radical part of my suggestion is creating a new
>>cmavo for use in ju'i to indicate base sixteen.
> 
>Since Lojban usage has not in fact used ju'i much with *any* base 
values, 
>it is hard to justify adding more cmavo. The proper way to do this 
is to 
>establish usage IN LOJBAN using an ad hoc experimental cmavo which 
you 
>define as pano ju'i dau at first use, and then after people come to 
accept 
>and use such a word repeatedly, the case is built for adding a word 
to the 
>official language after the baseline ends.

It's hard to be sure of your first point; It was pointed 
out to me in another message that "ju'u" is the base marker 
no "ju'i", as I had written. The draft textbook agrees with 
my critic in this regard 
( http://www.lojban.org/files/reference-grammar/chap18.html )
and I believe that I simply made an error when I copied the 
word. On the other hand you may have simply been saying 
that changing bases had not been used very much in Lojban. 
All I can say to that is wait until someone writes a test 
in Lojban about computer programming that uses a lot of 
logical operations; eg, OR, AND, NOT, XOR.

Secondarily, I am aware that my proposed new usage will 
have to be supported by actual usage, but before I actually 
start using it, I would want to be sure that it will not 
cause any other problems. 

Third, I'm not quite sure that you understood what I was 
suggesting: my cmavo (call it "pa'ai") would not mean "pano 
ju'u dau"; it would mean "paxa ju'u dau" or, equivalently,
"pano ju'u vei vai su'i pa ve'o" or "pano ju'u paxa", using 
the assumption that the default base is ten on the 
R-expression of ju'u, unless overridden by another ju'u .